MKESMTPDCERT(8)

NAME
makeesmtpdcert - Create a secure SMTP test certificate

SYNOPSIS
@sbindir@/mkesmtpdcert

DESCRIPTION

Secure ESMTP requires a valid, signed, X.509 certificate. The default location for the certificate file is @datadir@/esmtpd.pem. The mkesmtpdcert generates a self-signed X.509 certificate, mainly for testing. For production use the X.509 certificate must be signed by a recognized certificate authority, in order for mail clients to accept the certificate.

@datadir@/esmtpd.pem must be owned by the @mailuser@ user and have no group or world permissions. The mkesmtpdcert command will enforce this. To prevent an unfortunate accident, mkesmtpdcert will not work if @datadir@/esmtpd.pem already exists.

mkesmtpdcert requires OpenSSL to be installed.

SEE ALSO

courier(8).